Page MenuHomePhabricator

MediaWiki should treat phpdbg as cli
Closed, ResolvedPublic

Description

phpdbg is the built-in PHP debugger, and is run from the command-line. It is also an alternative to the slow xdebug for generating coverage reports.

However, it has a different PHP_SAPI value, so PHP_SAPI === 'cli' will return false. We'll need to also check for || PHP_SAPI == 'phpdbg' too.

https://codesearch.wmflabs.org/search/?q=PHP_SAPI&i=nope&files=&repos=

Event Timeline

Legoktm created this task.Jan 3 2018, 6:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2018, 6:36 AM
Legoktm updated the task description. (Show Details)Jan 3 2018, 6:37 AM

Change 401682 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] Treat phpdbg as run from the command line when checking PHP_SAPI

https://gerrit.wikimedia.org/r/401682

Legoktm added a subscriber: hashar.Jan 3 2018, 7:02 AM

Change 401682 merged by jenkins-bot:
[mediawiki/core@master] Treat phpdbg as run from the command line when checking PHP_SAPI

https://gerrit.wikimedia.org/r/401682

Change 403405 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Scribunto@master] Treat phpdbg as being run from the command-line

https://gerrit.wikimedia.org/r/403405

Change 403405 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Treat phpdbg as being run from the command-line

https://gerrit.wikimedia.org/r/403405

Seb35 awarded a token.Jan 13 2018, 9:35 PM
hashar removed a subscriber: hashar.Jul 31 2018, 10:25 PM
Legoktm closed this task as Resolved.Sep 12 2018, 5:24 AM
Legoktm claimed this task.